Subject: Re: template handling
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Michael D. Berger & Rosalie A. Clavez" <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Mar 2002 16:02:19 -0500

http://www.cygwin.com/packages/gcc/ tells you the version of gcc that Cygwin
currently uses.  That would be 2.95.3.  You can find out other versions by
looking at www.cygwin.com/packages and selecting the appropriate package.  
The versions all match the GNU versions of the like packages.  I would 
suggest that you start with them to find out if *any* version supports
the functionality you want.  If it does, then you can worry about if it's
in the version that comes with Cygwin by default.

Just my $.02.

At 03:55 PM 3/28/2002, Michael D. Berger & Rosalie A. Clavez wrote:
>Where then would I get this information for gcc? Or if I were to ask this on a
>gcc list, what is the relationship between Cygwin version numbers and gcc
>version numbers?
>(My apology to anyone who gets this twice.)
>Thanks,
>Mike.
>
>"Larry Hall (RFK Partners, Inc)" wrote:
> > 
> > At 03:34 PM 3/28/2002, you wrote:
> > >How can I get information on the template handling
> > >capabilities of the latest versions of Cygwin? In
> > >particular, I would like to know if I can define
> > >methods in *.cc files that are compiled, and have
> > >the resulting .o files added to libraries. I do
> > >not want the definitions in the .h files, or
> > >anything #included in them.
> > 
> > There are people one this list that may be able to answer this
> > for you but the capabilities you're looking for really flow from
> > gcc/binutils.  You may have better luck finding answers by
> > consulting folks working with gcc/binutils.
> > 
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 838 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
>
>-- 
>Michael D. Berger
>Rosalie A. Clavez
>[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/